nVidia Vista RTM drivers out!


Recommended Posts

shadowless911

These drivers doesn't support my GeForce 5500 FX !!! ..It's written that it supports Geforce FX 5500 Quadro...what does quadro means ? ..and When I tried to install them an error told me that they couldn't find the right hardware something like that..

Link to post
Share on other sites
Mr. Gibs

um i had these drivers delivered via windows update like back in december...its not a new driver at all.

Quadro is the professional version or something.

If your card isnt supported go to www.laptopvideo2go.com and get the modified inf [dont think u can do that for 8800 though]

Link to post
Share on other sites
GamerZon360

Hey Guys, if a thread has already be started on this final release, then I am sorry, but I just wanted to let you know that Nvidia finally released the final Vista RTM Drivers.

Windows Vista x86 RTM

ForceWare Release 95

Version: 97.46

Release Date: January 5, 2007

WHQL Driver

Here is the link - Download

Enjoy!

P.S. Fusion

Link to post
Share on other sites
P!P

Yup, it has.

Link to post
Share on other sites
CPressland

Yes! there are the official nvidia drivers! but still no OpenGL Support

Link to post
Share on other sites
SFkilla
Yes! there are the official nvidia drivers! but still no OpenGL Support

I didn't need those as i got version 97.46 through windows update when i installed my ultimate build ;)

thumby.png

Regards

SFkilla

Edited by SFkilla
Link to post
Share on other sites
TheNay

There's already a thread about the release, it was done 12hrs ago ;)

Link to post
Share on other sites
Brandon Live
"this late in the game" meaning 26 days before Vista is launched to the public? I don't think many businesses really uses SLI or 8800s, so nVidia have plenty of time yet. Oh, and these drivers don't work on my 7600 GS with Vista Business RTM...after the reboot I'm still using WDDM drivers.

:blink: These are WDDM drivers.

Did you check the version number that you're running?

Link to post
Share on other sites
ajmiles
:blink: These are WDDM drivers.

Did you check the version number that you're running?

Not managed to get these installed either through the normal way or by extracting the setup and using device manager to point it to the .inf. Am getting a rather bizarre error that there is an incompatibility with Age of Empries 2, a game I neither have installed nor own.

Picture of AOE2 error.

Any ideas? If not I'll just head to 97.52.

aj

Link to post
Share on other sites
Mr. Gibs

They are not exactly final. They are just used to test the basic vista aero capabilities, they still suck for everything else.

And this driver was put out by microsoft/windows update back in december lol, so nvidia is just late

Link to post
Share on other sites
IceDogg
Not managed to get these installed either through the normal way or by extracting the setup and using device manager to point it to the .inf. Am getting a rather bizarre error that there is an incompatibility with Age of Empries 2, a game I neither have installed nor own.

Picture of AOE2 error.

Any ideas? If not I'll just head to 97.52.

aj

I got the same thing.

Link to post
Share on other sites
SFkilla
They are not exactly final. They are just used to test the basic vista aero capabilities, they still suck for everything else.

And this driver was put out by microsoft/windows update back in december lol, so nvidia is just late

I agree that it still sucks :x but i'm curious to know what the date is? the 97.46 i got with windows update is dated from August06 :laugh: :huh: :wacko: :cry: :(

Thanks for letting us know ;)

Regards

SFkilla

Link to post
Share on other sites
DKAngel

these are still beta not final, nothing is supported, even the build after these on guru3d suck, drivers dont respond and need restarting and games with them just completly suck balls

Link to post
Share on other sites
alexGNR
I got the same thing.

I also got the same thing.

Link to post
Share on other sites
Chimera
I also got the same thing.

Same here on 2 different machines with different cards (7600GS and 6200TC) and different versions of Vista (Business and Ultimate).

Link to post
Share on other sites
:: Lyon ::

I'm using 97.52 and don't have any problems running Rainbow Six Vegas, so I'm not "downgrading" to 97.46

Link to post
Share on other sites
cacoe

I'm getting issues with the driver installation too. When I install using the installer, everything seems to work but when I check, I'm still using the Microsoft WDDM Drivers from a couple of months ago.

When I try to update the hardware and manually point to the inf file, I get some error about the hardware not being there (I assure you the 6600gt is...)

Ugh.

Link to post
Share on other sites
cacoe
I'm using 97.52 and don't have any problems running Rainbow Six Vegas, so I'm not "downgrading" to 97.46

I just got that build from guru3d and it worked a treat :D

Link to post
Share on other sites
paesan
Not managed to get these installed either through the normal way or by extracting the setup and using device manager to point it to the .inf. Am getting a rather bizarre error that there is an incompatibility with Age of Empries 2, a game I neither have installed nor own.

Picture of AOE2 error.

Any ideas? If not I'll just head to 97.52.

aj

Same here. At first I just could not install manual or automated but did not get any Age of Empires message. Now when I try to install I get this same bizarre message. WTF is going on!!!

Link to post
Share on other sites
deck
It baffles me why nVidia continues to shoot themselves in the foot with Vista by not having either an SLI driver or a driver for the 8800 series this late in the game. **** poor.

It has already been established that both nVidia and ATI have been having difficulty with Vista drivers, particularly with SLI and Crossfire. nVidia has been biding its time, while ATI has released drivers that don't do Crossfire quite right.

Link to post
Share on other sites
Ambroos

the 97.52 drivers work perfectly compared to the 97.48 drivers :)

Link to post
Share on other sites
Vista

I have the same problem as some of you. The drivers won't install. I keep getting a message that no changes were made.

I have a 7600GT and use Vista RTM 32-bit.

It seems nVidia screwed something up here.

Link to post
Share on other sites
Vista

Same problem here. It seems nVidia really screwed up with these drivers. A lot of people with Geforce 7 cards can't install the new drivers on Vista.

Link to post
Share on other sites
elmopio

Well I just installed my evga 8800gts and after boot up. I recieve a error of nvlddmkm.sys error. So No go on my rtm build. Damn paparweight!!!!!!!!!!!!!!!

So back to my 7300 which works well on this build.

Link to post
Share on other sites
This topic is now closed to further replies.
  • Recently Browsing   0 members

    No registered users viewing this page.